Name: pigz
Version: 2.8
Release: 1
License: Zlib and Apache-2.0
Summary: A Parallel Implementation of gzip
Url: https://zlib.net/pigz/

BuildRequires: zlib-devel

Source0: https://zlib.net/pigz/pigz-%{version}.tar.gz

%description
pigz is a fully functional replacement for gzip that exploits multiple
processors and multiple cores to the hilt when compressing data. It is a
drop-in replacement for gzip.

Additionally, it supports compression level 11, which uses the Zopfli
Compression Algorithm, which is able to compress very well, but very slowly
compared to zlib. 

%prep
%setup -q

%build

%make_build LDFLAGS='-Wl,-blibpath:/QOpenSys/usr/zlibNX/lib:%{_libdir}:/QOpenSys/usr/lib'

%install

mkdir -p %{buildroot}%{_bindir}
cp pigz unpigz %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_mandir}/man1
cp pigz.1 %{buildroot}%{_mandir}/man1


%files
%defattr(-, qsys, *none)
%{_bindir}/pigz
%{_bindir}/unpigz

%{_mandir}/man1/pigz.1*

%doc README

%license README
%license zopfli/COPYING

%changelog
* Fri Sep 08 2023 Kevin Adler <kadler@us.ibm.com> - 2.8
- Update to 2.8

* Mon Jun 26 2023 Kevin Adler <kadler@us.ibm.com> - 2.4
- Add support for zlibNX

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 2.4
- Use generic paths for man and info pages to allow for compression

* Wed Feb 19 2020 Kevin Adler <kadler@us.ibm.com> - 2.4
- Initial package
